Moneybird logo
Moneybird API

Subscription templates

Subscription templates define the products and prices for subscriptions.


deprecated
GET
https://moneybird.com/api/v2
/{administration_id}/subscription_templates/{id}/checkout_identifier{format}

This call generates an online sales link, which enables pre-setting the contact and start date for a subscription.

Required scope(s)

settings

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

id
​identifier · pattern: ^\d+$ · required

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json
contact_id
​identifier · pattern: ^\d+$

A unique record identifier

start_date
​string · date
product_id
​identifier · pattern: ^\d+$

A unique record identifier

A subscription template

string

POST
https://moneybird.com/api/v2
/{administration_id}/subscription_templates/{id}/sales_link{format}

This call generates an online sales link, and allows pre-setting the contact and start date for a subscription. The link is valid for one hour

Required scope(s)

settings

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

id
​identifier · pattern: ^\d+$ · required

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json
contact_id
​identifier · pattern: ^\d+$

A unique record identifier

start_date
​string · date
product_id
​identifier · pattern: ^\d+$

A unique record identifier

Online sales link created successfully

string

List all subscription templates

GET
https://moneybird.com/api/v2
/{administration_id}/subscription_templates{format}

This call retrieves a paginated list of all subscription templates available in the administration. Each page consists of up to 100 subscription templates. To access subsequent pages, utilize the page parameter to fetch the next set of subscription templates.

Required scope(s)

settings

List all subscription templates › path Parameters

administration_id
​administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

format
​string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

List all subscription templates › query Parameters

per_page
​integer | string · min: 1 · max: 100 · pattern: ^\d+$
page
​integer | string

List all subscription templates › Responses

A list of subscription templates

id
​identifier · pattern: ^\d+$

A unique record identifier

administration_id
​administration_id · pattern: ^\d+$

A unique record identifier

workflow_id
​identifier · pattern: ^\d+$

A unique record identifier

document_style_id
​identifier · pattern: ^\d+$

A unique record identifier

mergeable
​boolean
contact_can_update
​boolean
​product_response[]